Subject: [Hubmib] RE: [802.3ae] FW: WIS MIB list of open issues and recommendations for resolution

From: Tom Alexander <[email-masked]>
Date: Thu, 27 Dec 2001 10:53:40 -0800

Dan,
 
Thanks for the clarification. I believe I understand the issue now.
 
Roy, it looks like Dan's explanation is in general agreement with the point you made
in your e-mail as well. The WIS and SONET/SDH MIBs are being kept separate for
the reasons you mentioned.
 
Best regards,
 
- Tom

-----Original Message-----
From: Romascanu, Dan (Dan) [mailto:[email-masked]]
Sent: Wednesday, December 26, 2001 10:46 PM
To: Tom Alexander; HSSG Reflector (E-mail)
Cc: C. M. Heard; [email-masked]
Subject: RE: [802.3ae] FW: WIS MIB list of open issues and recommendations for resolution

Tom,
 
The problem is that some of the objects that the authors of the SONET MIB decided that may remain optional for their management model are mandatory for a full definition and understanding of the WIS interface behavior. This is the reason for defining a separate compliance statement that is stricter than the compliance statement for a 'regular' SONET MIB implementation.
 
The minutes of the Salt Lake City meeting will be soon out. There was not much controversy on this issue, the resolution being that the editors will document their decision so that the later implementers of the standard can understand the rationale of the path that was taken.
 
Regards,
 
Dan

-----Original Message-----
From: Tom Alexander [mailto:[email-masked]]
Sent: Thursday, December 27, 2001 4:26 AM
To: Romascanu, Dan (Dan); HSSG Reflector (E-mail)
Cc: C. M. Heard
Subject: RE: [802.3ae] FW: WIS MIB list of open issues and recommendations for resolution

Dan,
 
The recommendations to the issues you mentioned look reasonable to me;
however, I did have a question on the third issue you raised (compliance statements
and optional/mandatory groups). The general intent of the WIS was to implement
a perfect subset of SONET/SDH. Therefore, should not the MIB object groups
likewise represent a perfect subset of the SONET MIB object groups? That is,
optional SONET MIB objects should either be omitted entirely, or remain optional
in the WIS MIB?
 
I have not read the minutes of the IETF Plenary, so apologies in advance if I have
inadvertently re-hashed something that should have been obvious.
 
Thanks, and best regards,
 
- Tom Alexander
WIS Scribe

-----Original Message-----
From: Romascanu, Dan (Dan) [mailto:[email-masked]]
Sent: Wednesday, December 26, 2001 7:36 AM
To: HSSG Reflector (E-mail)
Cc: C. M. Heard
Subject: [802.3ae] FW: WIS MIB list of open issues and recommendations for resolution

The IETF Ethernet Interfaces and Hub MIB WG met during the IETF Plenary meeting in Salt Lake City in the week of 12/10. One of the items in the WG Charter that was discussed during the meeting was the latest WIS MIB http://www.ietf.org/internet-drafts/draft-ietf-hubmib-wis-mib-01.txt <http://www.ietf.org/internet-drafts/draft-ietf-hubmib-wis-mib-01.txt> .

The WG identified a list of four open issues, and recommended solutions for their resolution. It was established during the meeting that it would be appropriate if these issues would also be published on the IEEE 802.3ae reflector, so that interested IEEE participants can provide feedback on the issues and the suggested solutions.

Please note that the open issues are related to the IETF WIS MIB proposal, and do not affect the text of the 802.3ae standard.

Comments are welcome on the 802.3ae reflector and/or on the IETF WG list [email-masked]. 

I intent to ask the Chair of IEEE 802.3ae to allocate a slot at the Raleigh Interim meeting for the presentation and discussions of the status of the WIS MIB work.

Regards, 

Dan 

Dan Romascanu, 
Chair, IETF Ethernet Interfaces and Hub MIB WG